<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>wims: PGT storage</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="examples.html"><span>Examples</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>PGT storage<br/>
<small>
[<a class="el" href="group__public_config.html">Configuration</a>]</small>
</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_p_g_t_storage.html#gaaca9f0a80adfc04e5e274f3b87ea13c4">CAS_PGT_STORAGE_FILE_DEFAULT_PATH</a> </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_p_g_t_storage.html#gad8072d44d21464c4342c38d0c4de0099">CAS_PGT_STORAGE_FILE_FORMAT_PLAIN</a> </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_p_g_t_storage.html#ga6611f5a9cf8eac59058c883bb7bdd913">CAS_PGT_STORAGE_FILE_FORMAT_XML</a> </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_p_g_t_storage.html#gaa0139a630d1323b6621e84ee39671a71">CAS_PGT_STORAGE_FILE_DEFAULT_FORMAT</a> </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_p_g_t_storage.html#ga80e70ae1e1f05077afc333a11a025cac">CAS_PGT_STORAGE_DB_DEFAULT_DATABASE_TYPE</a> </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_p_g_t_storage.html#gac901cf029f0ed8d4a7865de22d0925a8">CAS_PGT_STORAGE_DB_DEFAULT_HOSTNAME</a> </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_p_g_t_storage.html#ga6f0f7caaefbd4f37e1bc1297e35519b7">CAS_PGT_STORAGE_DB_DEFAULT_PORT</a> </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_p_g_t_storage.html#gaa40307721fe9c74bf474ea7ad8da3abe">CAS_PGT_STORAGE_DB_DEFAULT_DATABASE</a> </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_p_g_t_storage.html#ga072d8c6ec2753e58f251cba9db5490eb">CAS_PGT_STORAGE_DB_DEFAULT_TABLE</a> </td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_p_g_t_storage.html#ga38e4d5efa6e408ca9404e3e64dafd669">phpCAS::setPGTStorageFile</a> ($format='', $path='')</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_p_g_t_storage.html#ga37768bd3d1f1b5f48cdc2921f990f71b">phpCAS::setPGTStorageDB</a> ($user, $password, $database_type='', $hostname='', $port=0, $database='', $table='')</td></tr>
</table>
<hr/><h2>Enumeration Type Documentation</h2>
<a class="anchor" id="gaa40307721fe9c74bf474ea7ad8da3abe"></a><!-- doxytag: member="CAS.php::CAS_PGT_STORAGE_DB_DEFAULT_DATABASE" ref="gaa40307721fe9c74bf474ea7ad8da3abe" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__public_p_g_t_storage.html#gaa40307721fe9c74bf474ea7ad8da3abe">CAS_PGT_STORAGE_DB_DEFAULT_DATABASE</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>default database when storing PGT's to database </p>

</div>
</div>
<a class="anchor" id="ga80e70ae1e1f05077afc333a11a025cac"></a><!-- doxytag: member="CAS.php::CAS_PGT_STORAGE_DB_DEFAULT_DATABASE_TYPE" ref="ga80e70ae1e1f05077afc333a11a025cac" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__public_p_g_t_storage.html#ga80e70ae1e1f05077afc333a11a025cac">CAS_PGT_STORAGE_DB_DEFAULT_DATABASE_TYPE</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>default database type when storing PGT's to database </p>

</div>
</div>
<a class="anchor" id="gac901cf029f0ed8d4a7865de22d0925a8"></a><!-- doxytag: member="CAS.php::CAS_PGT_STORAGE_DB_DEFAULT_HOSTNAME" ref="gac901cf029f0ed8d4a7865de22d0925a8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__public_p_g_t_storage.html#gac901cf029f0ed8d4a7865de22d0925a8">CAS_PGT_STORAGE_DB_DEFAULT_HOSTNAME</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>default host when storing PGT's to database </p>

</div>
</div>
<a class="anchor" id="ga6f0f7caaefbd4f37e1bc1297e35519b7"></a><!-- doxytag: member="CAS.php::CAS_PGT_STORAGE_DB_DEFAULT_PORT" ref="ga6f0f7caaefbd4f37e1bc1297e35519b7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__public_p_g_t_storage.html#ga6f0f7caaefbd4f37e1bc1297e35519b7">CAS_PGT_STORAGE_DB_DEFAULT_PORT</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>default port when storing PGT's to database </p>

</div>
</div>
<a class="anchor" id="ga072d8c6ec2753e58f251cba9db5490eb"></a><!-- doxytag: member="CAS.php::CAS_PGT_STORAGE_DB_DEFAULT_TABLE" ref="ga072d8c6ec2753e58f251cba9db5490eb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__public_p_g_t_storage.html#ga072d8c6ec2753e58f251cba9db5490eb">CAS_PGT_STORAGE_DB_DEFAULT_TABLE</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>default table when storing PGT's to database </p>

</div>
</div>
<a class="anchor" id="gaa0139a630d1323b6621e84ee39671a71"></a><!-- doxytag: member="CAS.php::CAS_PGT_STORAGE_FILE_DEFAULT_FORMAT" ref="gaa0139a630d1323b6621e84ee39671a71" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__public_p_g_t_storage.html#gaa0139a630d1323b6621e84ee39671a71">CAS_PGT_STORAGE_FILE_DEFAULT_FORMAT</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Default format used when storing PGT's to file </p>

</div>
</div>
<a class="anchor" id="gaaca9f0a80adfc04e5e274f3b87ea13c4"></a><!-- doxytag: member="CAS.php::CAS_PGT_STORAGE_FILE_DEFAULT_PATH" ref="gaaca9f0a80adfc04e5e274f3b87ea13c4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__public_p_g_t_storage.html#gaaca9f0a80adfc04e5e274f3b87ea13c4">CAS_PGT_STORAGE_FILE_DEFAULT_PATH</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Default path used when storing PGT's to file </p>

</div>
</div>
<a class="anchor" id="gad8072d44d21464c4342c38d0c4de0099"></a><!-- doxytag: member="CAS.php::CAS_PGT_STORAGE_FILE_FORMAT_PLAIN" ref="gad8072d44d21464c4342c38d0c4de0099" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__public_p_g_t_storage.html#gad8072d44d21464c4342c38d0c4de0099">CAS_PGT_STORAGE_FILE_FORMAT_PLAIN</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p><a class="el" href="group__public_p_g_t_storage.html#ga38e4d5efa6e408ca9404e3e64dafd669">phpCAS::setPGTStorageFile()</a>'s 2nd parameter to write plain text files </p>

</div>
</div>
<a class="anchor" id="ga6611f5a9cf8eac59058c883bb7bdd913"></a><!-- doxytag: member="CAS.php::CAS_PGT_STORAGE_FILE_FORMAT_XML" ref="ga6611f5a9cf8eac59058c883bb7bdd913" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__public_p_g_t_storage.html#ga6611f5a9cf8eac59058c883bb7bdd913">CAS_PGT_STORAGE_FILE_FORMAT_XML</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p><a class="el" href="group__public_p_g_t_storage.html#ga38e4d5efa6e408ca9404e3e64dafd669">phpCAS::setPGTStorageFile()</a>'s 2nd parameter to write xml files </p>

</div>
</div>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="ga37768bd3d1f1b5f48cdc2921f990f71b"></a><!-- doxytag: member="phpCAS::setPGTStorageDB" ref="ga37768bd3d1f1b5f48cdc2921f990f71b" args="($user, $password, $database_type='', $hostname='', $port=0, $database='', $table='')" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">phpCAS::setPGTStorageDB </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>user</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>password</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>database_type</em> = <code>''</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>hostname</em> = <code>''</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>port</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>database</em> = <code>''</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>table</em> = <code>''</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method is used to tell <a class="el" href="classphp_c_a_s.html">phpCAS</a> to store the response of the CAS server to PGT requests into a database. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>The connection to the database is done only when needed. As a consequence, bad parameters are detected only when initializing PGT storage, except in debug mode.</dd></dl>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>$user</em>&nbsp;</td><td>the user to access the data with </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>$password</em>&nbsp;</td><td>the user's password </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>$database_type</em>&nbsp;</td><td>the type of the database hosting the data </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>$hostname</em>&nbsp;</td><td>the server hosting the database </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>$port</em>&nbsp;</td><td>the port the server is listening on </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>$database</em>&nbsp;</td><td>the name of the database </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>$table</em>&nbsp;</td><td>the name of the table storing the data </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga38e4d5efa6e408ca9404e3e64dafd669"></a><!-- doxytag: member="phpCAS::setPGTStorageFile" ref="ga38e4d5efa6e408ca9404e3e64dafd669" args="($format='', $path='')" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">phpCAS::setPGTStorageFile </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>format</em> = <code>''</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>path</em> = <code>''</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method is used to tell <a class="el" href="classphp_c_a_s.html">phpCAS</a> to store the response of the CAS server to PGT requests onto the filesystem.</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>$format</em>&nbsp;</td><td>the format used to store the PGT's (`plain' and `xml' allowed) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>$path</em>&nbsp;</td><td>the path where the PGT's should be stored </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Thu Oct 8 11:33:56 2009 for wims by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
